Bug 900724 (JBPAPP6-1572) - Make the installer accept automation config files from different sources
Summary: Make the installer accept automation config files from different sources
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1572
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: EAP 6.2.0
Assignee: Thomas Hauser
QA Contact: Petr Kremensky
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Depends On:
Blocks: JBPAPP6-1248
TreeView+ depends on / blocked
 
Reported: 2012-07-23 13:09 UTC by Dustin Kut Moy Cheung
Modified: 2013-12-15 16:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The JBoss EAP 6 installer now accepts an automation configuration file from a network location. Previously, an automation configuration file had to be on the same machine on which the installer was being run. The automation configuration file can be specified to a network location using http or ftp with the following syntax: `java -jar installer.jar http://network-host/automation.xml` or `java -jar installer.jar ftp://network-host/automation.xml`
Clone Of:
Environment:
Last Closed: 2013-12-15 16:21:14 UTC
Type: Feature Request
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPAPP6-1572 0 Major Closed Make the installer accept automation config files from different sources 2015-05-05 13:09:16 UTC

Description Dustin Kut Moy Cheung 2012-07-23 13:09:24 UTC
project_key: JBPAPP6

Right now the installer accepts an "automation" mode where you can feed it an automation xml file. That will run the installer without any need for user interaction.

e.g java -jar installer.jar <automation file>


Right now that automation file has to be located in the same server as where the installer.jar is found. 

One improvement would be to move the automation file to some server, so that all the machines where installer.jar will be used will use the SAME automation file.

Syntax could be:
java -jar installer.jar http://<server>/automation.xml

   or

java -jar installer.jar ftp://<server>/automation.xml


Right now I think that http and ftp should be the minimum that we can support.

I also don't think that we need user authentication for now for http /ftp.

Comment 1 Dustin Kut Moy Cheung 2012-07-23 13:10:07 UTC
This could also be a good component to be upstreamed to Izpack 4.3 / Izpack 5.

Comment 2 Dustin Kut Moy Cheung 2012-07-23 14:11:47 UTC
Link: Added: This issue is a dependency of JBPAPP-9555


Comment 4 Anne-Louise Tangring 2012-11-13 21:13:20 UTC
Docs QE Status: Removed: NEW 


Comment 5 Madhumita Sadhukhan 2012-11-19 11:10:30 UTC
@Jyoti please change fix version to exact EAP version in which this fix is available instead of tbd eap6 for ease of QA verification.


Comment 6 Thomas Hauser 2013-09-10 18:39:07 UTC
This will appear in 6.2.0. The assignee was set incorrectly and thus was missed.

Comment 7 Petr Kremensky 2013-09-24 09:47:32 UTC
Verified on EAP 6.2.0.ER1

Comment 13 Thomas Hauser 2013-12-02 14:23:45 UTC
I would say this should be public.  I agree with Petr, and I would also want this new feature to be in the release notes as well, because it is a powerful and useful feature.

+1 to making this bug public.


Note You need to log in before you can comment on or make changes to this bug.